/*
Theme Name:     online-payment-divi-2
Description:    Online Payment System V2.0 
Integrated with WooCommerce & BillPlz
Author:         ARASH AFSARY
Template:       Divi

(optional values you can add: Theme URI, Author URI, Version, License, License URI, Tags, Text Domain)
*/

input.readonly-field {
    background-color: #F0F0F0;
    padding-left: 5px;
}

.form-group {
    display: flex;
    gap: 5%;
    flex-wrap: wrap;
    margin-bottom: 3%;
}

.form-field {
    display: flex;
    flex-direction: column;
    margin-bottom: 2%;
}

.form-field label {
    font-size: small;
    font-weight: bold;
    color: black;
    max-width: 450px;
    word-wrap: break-word;
    margin-bottom: 5px;
}

#student-full-name,
#student-id,
#email,
#additional-email {
    width: 450px;
    max-width: 100%;
    transition: width 0.3s ease;
    border: 1.5px solid #3e78c6;
    border-radius: 10px;
    padding: 5px 10px;
    color: #000000d9;
    font-weight: 500;
    font-size: 15px;
}


@media (max-width: 1400px) {

    #student-full-name,
    #student-id,
    #email,
    #additional-email {
        width: 400px;
    }
}

@media (max-width: 1200px) {

    #student-full-name,
    #student-id,
    #email,
    #additional-email {
        width: 350px;
    }

    .form-field label {
        width: 350px;
    }
}

@media (max-width: 990px) {

    #student-full-name,
    #student-id,
    #email,
    #additional-email {
        width: 250px;
    }

    .form-field label {
        width: 250px;
    }
}

@media (max-width: 770px) {

    #student-full-name,
    #student-id,
    #email,
    #additional-email {
        width: 180px;
    }

    .form-field label {
        width: 180px;
    }
}

@media (max-width: 500px) {

    #student-full-name,
    #student-id,
    #email,
    #additional-email {
        width: 300px;
    }

    .form-field label {
        width: 300px;
    }
}

.invoice-list table {
    width: 100%;
    border-collapse: collapse;
    font-size: small;
}

.invoice-list th,
.invoice-list td {
    border: 1.5px solid #3e78c6;
    text-align: left;
    color: black;
    padding: 8px;
}

.invoice-list thead {
    background-color: #f2f2f2;
}

.total-amount {
    font-size: small;
    margin-top: 5%;
    margin-bottom: 6%;
/*     line-height: 0.5; */
    font-weight: 500;
}
.total-amount p {                
        margin-bottom: 5px
 }

#customer_details,
.woocommerce-notices-wrapper,
.woocommerce-form-coupon-toggle {
    display: none;
}

tr.overdue {
    background-color: #f8d7da;
}

tr.on-time {
    background-color: white;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox  */
input[type=number] {
    -moz-appearance: textfield;
}

.woocommerce-checkout-review-order-table .product-quantity {
    display: none;
}

.woocommerce-checkout-review-order-table .cart-subtotal {
    display: none;
}

input.amount-to-pay {
    border-radius: 10px;
    border: 1px solid #3e78c6;
    padding: 5px 10px;
    margin-right: 5px !important;
	width: 100%;
}

.terms-and-conditions {
    font-size: small;
    font-weight: bold;
}

.terms-and-conditions label {
    margin-bottom: 5px;
}

a#terms-and-conditions-link {
    text-decoration: none;
}

a.et_pb_button.et_pb_button_0.et_pb_bg_layout_dark {
    text-decoration: none !important;
}

.entry-content thead th,
.entry-content tr th {
    color: black;
}


.important-message {
    background-color: #FB4949; 
    color: white; 
    font-weight: bold; 
    font-size: 17.5px; 
    font-family: 'Ubuntu', sans-serif; 
    padding: 10px 20px; 
    border-radius: 10px; 
    margin: 10px 0px; 
    text-align: left;
}


.input-wrapper {
    width: 150px;
}
 
.amount-warning {
    display: none;
    color: red;
    font-size: 12px;
    margin-top: 5px;
    width: 100%;
    word-wrap: break-word;
}
 
.amount-to-pay:invalid+.amount-warning {
    display: block;
}

button#place_order {
    background: #3784f4;
    border: none;
    color: white;
}

/* ADMIN PAGE STYLE */

.custom-pagination {
    text-align: center;
    margin-top: 20px;
}

.custom-pagination .page-numbers {
    display: inline-block;
    padding: 8px 12px;
    margin: 3px;
    border: 1px solid #3e78c6;
    color: #3e78c6;
    text-decoration: none;
    border-radius: 4px;
    transition: 0.3s;
}

.custom-pagination .current {
    background-color: #3e78c6;
    color: white;
    font-weight: bold;
    border: none;
}

.custom-pagination .prev,
.custom-pagination .next {
    font-weight: bold;
}


.search-form-admin {
    display: flex;
    align-items: flex-start;
    gap: 15px;
    flex-wrap: wrap;
}

.form-group-admin {
    display: flex;
    flex-direction: column;
}

input#student_id,
input#invoice_number,
input#payment_date {
    padding: 8px;
    width: 250px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-bottom: 10px;
}

.search-btn {
    padding: 8px 12px;
    background: #3e78c6;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 25px;
}

input#student_id,
input#student_name,
input#invoice_number,
input#payment_date,
input#bill_id {
    padding: 8px;
    width: 150px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-bottom: 10px;
}


input#student_id,
input#student_name,
input#invoice_number,
input#payment_date_start,
input#payment_date_end,
input#bill_id,
select#billplz_status,
select#apspace_admin_status,
input#order_id{
    padding: 8px;
    width: 200px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-bottom: 10px;
}
 
#payment-date-range {
    display: flex;
    gap: 5px;
}
 
#payment-date-range p {
    padding-top: 5px;
}
 
button#download-csv-btn {
    padding: 8px 12px;
    background: #3e78c6;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin: 10px 0px;
}

div#admin-invoice-table {
    overflow-x: scroll;
    width: 100%;
    border: 1px solid #ccc;
}

@media (max-width: 768px) {
    #payment-date-range {
        flex-direction: column;
        align-items: flex-start;
    }
 
    #payment-date-range input {
        width: 100%;
    }
 
    #payment-date-range p {
        margin: 0;
    }
}
 